/*
 * Copyright (c) 2015 Norman J. Goldstein and 
 *                    Clear System Solutions RD Inc.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#include "SysLog.h"
#include <iostream>

std::string SysLog_mgr::name_;

const char* SysLog_mgr::levelNames_[] = {
  "EMERGENCY", "ALERT", "CRITICAL", "ERROR",
  "WARNING", "NOTICE", "INFO", "DEBUG" };

std::ostream* SysLog_mgr::outs_ = nullptr;

void SysLog_mgr::setOutput( int val )
{
  switch( val )
  {
    case 1:
    {
      outs_ = &std::cout;
      break;
    }
    case 2:
    {
      outs_ = &std::cerr;
      break;
    }
    case 3:
    {
      outs_ = &std::clog;
      break;
    }
    default:
    {
      outs_ = nullptr;
      break;
    }
  }
}// setOutput
